> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pontua.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Busca eventos de folha de pagamento no sistema



## OpenAPI

````yaml https://api.pre.pontua.tech/api/public/doc-json get /payment-sheet/system-event
openapi: 3.0.0
info:
  title: Pontua Public API
  description: >-
    API oficial da Pontua para integrações de clientes externos. Autentique com
    o token gerado no dashboard em **Configurações → API**. Envie o token no
    header `Authorization: Bearer <SEU_TOKEN>`.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /payment-sheet/system-event:
    get:
      tags:
        - Payment Sheet
      summary: Busca eventos de folha de pagamento no sistema
      operationId: PaymentSheetController_getSystemEvents
      parameters:
        - name: searchText
          description: Texto pesquisado para filtrar consulta
          required: false
          in: query
          schema:
            type: string
        - name: pagina
          description: Página que deseja retornar os resultados
          required: false
          in: query
          schema:
            example: 0
            type: number
        - name: limite
          description: Quantidade de itens que retorna na consulta. Min 1 - Max 100
          required: false
          in: query
          schema:
            example: 100
            type: number
        - description: Tipo de evento
          required: false
          name: type
          in: query
          schema:
            default: Hora Extra
            enum:
              - Banco de Horas
              - Hora Extra
              - Outros
            type: string
      responses:
        '200':
          description: Eventos de folha de pagamento no sistema
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentSheetSystemEventsDto'
        default:
          description: "\n\t\t\t400 - Bad Request: A solicitação não está no formato correto.\n\t\t\t401 - Unauthorized: A solicitação não foi autorizada. Verifique se o token de acesso é válido.\n\t\t\t403 - Forbidden: Acesso proibido! Requer um nível de permissão mais elevado.\n\t\t\t404 - Not Found: O recurso solicitado não foi encontrado.\n\t\t\t500 - Internal Server Error: Erro de execução no servidor!\n\t\t\t"
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
      deprecated: false
      security:
        - bearer: []
components:
  schemas:
    PaymentSheetSystemEventsDto:
      type: object
      properties:
        pagina:
          type: number
          description: Pagina retornada dos dados
          example: 0
        limite:
          type: number
          description: Quantidade de itens retornados na consulta
          example: 10
        total:
          type: number
          description: Quantidade total de unidades para consultar
          example: 5
        unidades:
          description: Resultado da consulta
          type: array
          items:
            $ref: '#/components/schemas/PaymentSheetSystemEventDto'
      required:
        - pagina
        - total
        - unidades
    ErrorDto:
      type: object
      properties:
        service:
          type: string
          description: Rota solicitada
        method:
          type: string
          description: Método http
        message:
          description: Mensagem do erro
          oneOf:
            - type: string
              example: message erro
            - type: array
              items:
                type: string
                example:
                  - erro 1
                  - erro 2
      required:
        - service
        - method
        - message
    PaymentSheetSystemEventDto:
      type: object
      properties:
        label:
          type: string
          description: Label do enum de evento de folha de pagamento no sistema
          enum:
            - CT_FULL_SETTLEMENT
            - CT_SETTLEMENT_WITH_LIMIT
            - CT_INDIVIDUAL_SETTLEMENT
            - CT_BALANCE_TRANSFER
            - CT_BALANCE_ENTRY
            - CT_POSITIVE_BALANCE
            - CT_NEGATIVE_BALANCE
            - OT_STANDARD_100_PERCENT
            - OT_STANDARD_50_PERCENT
            - OT_NIGHT
            - OT_DAY_OFF
            - OT_HOLIDAY
            - OT_CUSTOM_PHASE_ONE
            - OT_CUSTOM_PHASE_TWO
            - OT_ADVANCED
            - OT_INTERVAL_COMPENSATED
            - OT_INTRAJOURNEY
            - OT_INTERJOURNEY
            - ABSENCE_DAYS
            - ABSENCE_HOURS
            - ABSENCE_DATES
            - HALF_ABSENCE_DAYS
            - HALF_ABSENCE_HOURS
            - HALF_ABSENCE_DATES
            - VACATION_DAYS
            - LEAVE_DAYS
            - SCHEDULE_ADJUSTMENT_DAYS
            - ALLOWANCE_DAYS
            - DISCOUNTED_ALLOWANCE_DAYS
            - CERTIFICATE_DAYS
            - SUSPENSION_DAYS
            - CERTIFICATE_DATES
            - HOLIDAYS_AT_WORK
            - HOLIDAY_HOURS_AT_WORK
            - DELAYS_AND_ANTICIPATIONS
            - TOTAL_WORKED_HOURS
            - TOTAL_NEGATIVE_HOURS
            - TOTAL_POSITIVE_HOURS
            - NIGHT_DIFFERENTIAL
          default: OT_STANDARD_50_PERCENT
        description:
          type: string
          description: Descrição do enum de evento de folha de pagamento no sistema
          example: HORAS EXTRAS PADRÃO 50%
      required:
        - label
        - description

````